% fmrlab_chkcomporder() - Check component order according to the
%                         data field FMRI.comp_order
%
% Usage:
%   >> fmrlab_chkcomporder;
%
% Inputs:
%
% Outputs:
%
% Author: Jeng-Ren Duann, CNL/Salk Inst. & SCCN/INC/UCSD, 2004-08
%
% See also: resort_comp(), load_dataset()

% --
% Copyright (C) 2004 Jeng-Ren Duann, SCCN/INC/UCSD, duann@sccn.ucsd.edu
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software

% $Log: fmrlab_chkcomporder.m,v $
% Revision 1.1  2004/08/06 10:54:00  duann
% Initial revision
%

function fmrlab_chkcomporder
  
  global FMRI
  
  switch(FMRI.comp_order),
   case 0, 
    str = '0 - Component power';
   case 1,
    str = '1 - Component kurtosis';
   case 2,
    str = '2 - Component skewness';
   case 3,
    str = ['3 - Variance of raw data accounted for by component' ...
	   ' activations'];
   case 4,
    str = '4 - ROA complexity';
    
   otherwise,
    str = '0 - Component power';
  end
  
  fmrlab_messagedlg('Component Order',...
		    'Info:',...
		    str,...
		    {'OK'});
  